import request from '@/utils/request'

// 查询报修单-维修项目\检验项目列表
export function listRepairFormProject(query) {
  return request({
    url: '/business/repairFormProject/list',
    method: 'get',
    params: query
  })
}

// 查询报修单-维修项目\检验项目详细
export function getRepairFormProject(id) {
  return request({
    url: '/business/repairFormProject/' + id,
    method: 'get'
  })
}

// 新增报修单-维修项目\检验项目
export function addRepairFormProject(data) {
  return request({
    url: '/business/repairFormProject',
    method: 'post',
    data: data
  })
}

// 修改报修单-维修项目\检验项目
export function updateRepairFormProject(data) {
  return request({
    url: '/business/repairFormProject',
    method: 'put',
    data: data
  })
}

// 删除报修单-维修项目\检验项目
export function delRepairFormProject(id) {
  return request({
    url: '/business/repairFormProject/' + id,
    method: 'delete'
  })
}

// 批量新增报修单-维修项目\检验项目
export function addRepairFormProjectP(data) {
  return request({
    url: '/business/repairFormProject/batch',
    method: 'post',
    data: data
  })
}

// 修改报修单-维修项目\检验项目
export function examineRepairFormProject(data) {
  return request({
    url: '/business/repairFormProject',
    method: 'put',
    data: data
  })
}
